
QGIS Application - Bug report #2009

OGR Database Connection MySQL

2009-10-13 04:24 PM - elewis52 -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12069

Description

Cannot connect QGIS to a [[MySQL]] database. Steps to reproduce: Select "add vector layer". Select "database" under source type.

Select [[MySQL]] as database type. Enter name, host, database, port, username, password under the "Create a new OGR Database

Dialogue". Select "test connect". Message  comes up "Connection failed ... Access denied for user '(my name)'@'localhost' (using

password: no.) "Using password: no" is obviously an error. I connect to the database in question routinely using other database clients.

The GUI appears not to be properly sending the password to the database server.

A workaround is to connect to the database through GRASS.

Associated revisions

Revision b402d291 - 2010-02-10 09:17 PM - Jürgen Fischer

fix #2009

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@12922 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision c7d632ea - 2010-02-10 09:17 PM - Jürgen Fischer

fix #2009

git-svn-id: http://svn.osgeo.org/qgis/trunk@12922 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-02-10 12:18 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in 12922.
